﻿:root {
    --mud-field-background-color: #F2F5FA;
    --background-color: #FAFAFA;
    --background-color-page: #E3F2FD;
}

body {
    -webkit-font-smoothing: antialiased;
}

.mud-nav-link {
    align-items: center !important;
}

.mud-input-control {
    margin-top: 0px !important;
}

.mud-input-outlined-border {
    border: solid var(--mud-field-background-color) 2px !important;
}

.mud-field-background {
    background-color: var(--mud-field-background-color);
}

/* Open Survey Button */
.opensurveybutton {
    position: fixed;
    bottom: 56px;
    right: 56px;
    min-width: 56px;
    min-height: 56px;
    color: #fff;
    background: #44CB7F;
    border: none;
    border-radius: 50%;
    transition: all 0.3s ease-in-out 0s;
    cursor: pointer;
    padding: 10px;
}

    .opensurveybutton::after {
        content: '';
        width: 56px;
        height: 56px;
        border-radius: 100%;
        border: 3px solid #44CB7F;
        position: absolute;
        z-index: -1;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        animation: ring 1.5s infinite;
    }

@keyframes ring {
    0% {
        width: 56px;
        height: 56px;
        opacity: 1;
    }

    100% {
        width: 168px;
        height: 168px;
        opacity: 0;
    }
}

/* Custom Questionnaire */
.cqArial,
.cqArial > span.mud-typography-body1,
.cqArial p.mud-typography-body1,
div.cqArial textarea.mud-input-root,
div.cqArial input.mud-input-root,
tr.mud-table-row th.mud-table-cell.cqArial tr.mud-table-row td.mud-table-cell.cqArial {
    font-family: Arial;
}

.cqCalibri,
.cqCalibri > span.mud-typography-body1,
.cqCalibri p.mud-typography-body1,
div.cqCalibri textarea.mud-input-root,
div.cqCalibri input.mud-input-root,
tr.mud-table-row th.mud-table-cell.cqCalibri tr.mud-table-row td.mud-table-cell.cqCalibri {
    font-family: Calibri;
}

.cqBlack,
.cqBlack > span.mud-radio-content,
.cqBlack p.mud-typography-body1,
div.cqBlack textarea.mud-input-root,
div.cqBlack input.mud-input-root,
tr.mud-table-row th.mud-table-cell.cqBlack,
tr.mud-table-row td.mud-table-cell.cqBlack {
    color: black;
}

.cqBlue,
.cqBlue > span.mud-radio-content,
.cqBlue p.mud-typography-body1,
div.cqBlue textarea.mud-input-root,
div.cqBlue input.mud-input-root,
tr.mud-table-row th.mud-table-cell.cqBlue,
tr.mud-table-row td.mud-table-cell.cqBlue {
    color: #3A63DE;
}

.cqRed,
.cqRed > span.mud-radio-content,
.cqRed p.mud-typography-body1,
div.cqRed textarea.mud-input-root,
div.cqRed input.mud-input-root,
tr.mud-table-row th.mud-table-cell.cqRed,
tr.mud-table-row td.mud-table-cell.cqRed {
    color: #CC0000;
}

.cqTitle,
.cqTitle > span.mud-typography-body1,
.cqTitle > .mud-radio-content,
.cqTitle p.mud-typography-body1,
div.cqTitle textarea.mud-input-root,
div.cqTitle input.mud-input-root,
tr.mud-table-row th.mud-table-cell.cqTitle,
tr.mud-table-row td.mud-table-cell.cqTitle {
    font-size: 20px;
}

.cqCaption,
.cqCaption > span.mud-typography-body1,
.cqCaption > .mud-radio-content,
.cqCaption p.mud-typography-body1,
div.cqCaption textarea.mud-input-root,
div.cqCaption input.mud-input-root,
tr.mud-table-row th.mud-table-cell.cqCaption,
tr.mud-table-row td.mud-table-cell.cqCaption {
    font-size: 16px;
}

.cqParagraph,
.cqParagraph > span.mud-typography-body1,
.cqParagraph > .mud-radio-content,
.cqParagraph p.mud-typography-body1,
div.cqParagraph textarea.mud-input-root,
div.cqParagraph input.mud-input-root,
tr.mud-table-row th.mud-table-cell.cqParagraph,
tr.mud-table-row td.mud-table-cell.cqParagraph {
    font-size: 14px;
}

/*** Rich Text ***/
#toolbar-container {
    background: linear-gradient(0deg, #ececec 0%, #ffffff 100%);
    padding: 10px;
    display: flex;
    flex-wrap: wrap;
}

#quilljs-container {
    background: #f2f5fa;
    height: auto;
    min-height: 100px;
    max-height: 400px;
    overflow: auto;
}

/* Definir fontes no editor */
.ql-font-poppins {
    font-family: 'Poppins', sans-serif;
}

.ql-font-arial {
    font-family: 'Arial', sans-serif;
}

.ql-font-calibri {
    font-family: Calibri, sans-serif;
}

.ql-size {
    width: 150px !important;
}

.ql-size-12px {
    font-size: 12px;
}

.ql-size-16px {
    font-size: 16px;
}

.ql-size-24px {
    font-size: 24px;
}

.ql-size-32px {
    font-size: 32px;
}

/* Definir fontes no dropdown */
#toolbar-container .ql-font span[data-label="Poppins"]::before {
    font-family: "Poppins";
}

#toolbar-container .ql-font span[data-label="Arial"]::before {
    font-family: "Arial";
}

#toolbar-container .ql-font span[data-label="Calibri"]::before {
    font-family: Calibri;
}